Session start

This event marks the beginning of a visitor session on your website.

💡

Automatically submitted when using client side implementation

When using the client side implementation, this event is automatically submitted when the base script is included. You won't need any additional configuration for this event.

To the API-reference

How to implement?

// No need to implement this. It's already included in the base tag
curl --request POST \
     --url https://navigator-analytics.tweakwise.com/api/sessionstart?instanceKey=INSTANCE_KEY \
     --header 'content-type: text/json' \
     --data '
{
  "ProfileKey": "PROFILE_KEY",
  "SessionKey": "SESSION_KEY",
  "Source": "SOURCE"
}
'

Parameters

NameTypeRequiredDescription
INSTANCE_KEYURL-parameter - textyesYour Tweakwise Instance Key
PROFILE_KEYBody parameter - textyesThe ID that identifies the current visitor. Read more about the profile key here
SESSION_KEYBody parameter - textyesThe session key for the specific user. This can be your own session key, GA session. As long as it's consistent over the user's session.
Allowed characters: alphanumeric and hyphens
SOURCEBody parameter - textnoThe request source. More information about this can be found here

When do I submit this event?

Submit this event once when a visitor starts their session on your website.

Where do I implement this event in the code?

A customer can enter (and therefore start their session on) your website on any page. Make sure this event is submitted just once per session!

How to handle event specific warnings from Tweakwise

⚠️No SessionStarts received in the last 4 days

Description

No SessionStarts events have been received in the last 4 days.

Possible solution

Check the global implementation of Tweakwise tags on the website. This event should be triggered at the start of every new user session.

⚠️SessionKey: xx% missing / ProfileKey: xx% missing

Description

More than 0.5% of the SessionStarts events are missing the SessionKey or ProfileKey.

Possible solution

Ensure the mechanism generating or retrieving session and profile keys is executing properly before sending the SessionStart event.

⚠️Mismatched profilekeys in Delivery API and SessionStart (xx%)

Description

In more than 5% of cases, the ProfileKeys in the Delivery API do not match the ProfileKeys in the SessionStart event.

Possible solution

Review how the profile/user ID is passed to the Tweakwise Delivery API requests and compare it to the values sent during SessionStart event creation.

Please share your findings with your implementation partner. If they have questions about these messages, please let them contact [email protected]

FAQ

Why don't I have to implement this when using the client side script?

The base script for the server side already tracks your session and therefore can submit the session start for you.